/******************************************************************************
 *
 * Filename: globals.h
 *
 * Author:   Robert Thornburrow
 * Project:  JavaVM
 * Created:  19th January 1998
 *
 * Purpose:  Global variable declarations.
 *
 * (c) Copyright R.H.Thornburrow, 2002
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 *****************************************************************************/

#ifndef _globals_h

#define _globals_h


#include <stdio.h>

#include "engine.h"


/* debug flags */
extern int verbose;
extern int instruction_debug;
extern int method_debug;
extern int arithmetic_debug;

/* object pools */
extern ObjRefList* objectPool;
extern ObjRefList* arrayPool;

/* system objects */
extern ObjRef* primitiveClass[];
extern ObjRef* threads[];
extern FILE* fdList[255];
extern int fdLast;

/* memory stats */
extern int32 bytes_used;
extern int32 bytes_total;
extern int32 bytes_peak;


#endif /* _globals_h */
