/******************************************************************************
 *
 * Filename: instructions.h
 *
 * Author:   Robert Thornburrow
 * Project:  JavaVM
 * Created:  19th January 1998
 *
 * Purpose:  Instruction definitions interface.
 *
 * (c) Copyright R.H.Thornburrow, 1998
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 *****************************************************************************/

#ifndef __instructions_h

#define __instructions_h


#include "types.h"


typedef struct _InstructionTable
{
	u1 opcode;
	u1 size;
	u1 incr;
#ifdef _DEBUG
	const char* name;
	const char* format;
	u4 count;
#endif
} InstructionTable;

#ifdef _DEBUG
#define INSTRUCTION_DEF(op,sz,in,na,fo) { op, sz, in, na, fo, 0 }
#else
#define INSTRUCTION_DEF(op,sz,in,na,fo) { op, sz, in }
#endif

#ifdef __cplusplus
extern "C" {
#endif

extern InstructionTable instructionTable[];

#ifdef __cplusplus
}
#endif


#endif
