/******************************************************************************
 *
 * Filename: java_io_File.h
 *
 * Author:   Robert Thornburrow
 * Project:  JavaVM
 * Created:  19th January 1998
 *
 * Purpose:  Native method implementations for java.io.File.
 *
 * (c) Copyright R.H.Thornburrow, 2002
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 *****************************************************************************/

#ifndef _java_io_File_h

#define _java_io_File_h


#include "../engine/native.h"


#ifdef __cplusplus
extern "C" {
#endif


extern jboolean Java_java_io_File_canRead0( JNIEnv* env, jobject self );
extern jboolean Java_java_io_File_delete0( JNIEnv* env, jobject self );
extern jboolean Java_java_io_File_exists0( JNIEnv* env, jobject self );
extern jboolean Java_java_io_File_isAbsolute( JNIEnv* env, jobject self );
extern jboolean Java_java_io_File_isDirectory0( JNIEnv* env, jobject self );
extern jboolean Java_java_io_File_isFile0( JNIEnv* env, jobject self );
extern jlong    Java_java_io_File_lastModified0( JNIEnv* env, jobject self );
extern jobject  Java_java_io_File_list0( JNIEnv* env, jobject self );
extern jboolean Java_java_io_File_mkdir0( JNIEnv* env, jobject self );


#ifdef __cplusplus
}
#endif

#endif /* _java_io_File_h */
